import React from 'react'
import { BrowserRouter as Router,Route, Routes } from 'react-router-dom';

import Create from './components/create';
import CreateRgnCycle from './components/create-rgn-cycle';
import Edit from './components/edit';
import Home from './components/home';
import Update from './components/update';
  
function App() {
    return (
	<div className='App'>
	    <Router>
		<Routes>
		    <Route path='/' element={<Home/>}/>
		    <Route path='/create' element={<Create/>}/>
		    <Route path='/create-rgncycle' element={<CreateRgnCycle/>}/>
		    <Route path='/edit' element={<Edit/>}/>
		    <Route path='/update' element={<Update/>}/>
		</Routes>
	    </Router>
	</div>
    );
}
  
export default App;
