import React from 'react';
import { BrowserRouter as Router, Routes, Route, Navigate } from 'react-router-dom'

import Home from './pages/home';
import PrivateRoute from './components/private-route'

export default function App() {
    return (
	<Router>
	    <Routes>
		<Route path="/" element={
			   <PrivateRoute>
			       <Home />
			   </PrivateRoute>
		       } />
		<Route path="*" element={<Navigate to="/" />} />
	    </Routes>
	</Router>
  )
}
