import React from 'react';
import Hello from '../components/hello';
import RadioButton5 from '../components/radio-button5';
import RadioButton4 from '../components/radio-button4';
import RadioButton from '../components/radio-button';
import RadioButton2 from '../components/radio-button2';
import RadioButton3 from '../components/radio-button3';

import '../style.css';

// import JSON
import jsonOsmQuery from '../osm-query.json';

const Home = () => {

    const rryOsmQuery = jsonOsmQuery.queries;

    return (
	<>
	    <h2>Home</h2>
	    <h3>(React.js Lambda Function Component)</h3>
	    <Hello msg="Hello World!" />
	    <h3>(React.js Function Component)</h3>
	    <RadioButton5 />
	    <h3>(React.js Function Component)</h3>
	    <RadioButton4 />
	    <h3>(React.js Function Component)</h3>
	    <RadioButton />
	    <h3>(React.js Function Component)</h3>
	    <RadioButton2 />
	    <h3>(React.js Function Component)</h3>
	    <RadioButton3 />
	</>
    );
}

export default Home
