import React from 'react';
import './style/main.less';

/*
 *component Welcome
 *using class syntax from ES6
 *Webpack needs Babel to process ES6 into ES5 syntaxes in order for this class to work
 */
class Welcome extends React.Component {
    render () {
        return <h1>react-config-tutorial</h1>;
    }
}
/*ReactDOM.render is no longer supported in React 18. Use createRoot instead.*/
import { createRoot } from 'react-dom/client';
//create root container
const root = createRoot(document.getElementById('root'));
//render root app
root.render(
    <React.StrictMode>
        <Welcome />
    </React.StrictMode>
);
