import React from 'react';

import Home from './pages/home';
import Zipping from './pages/zipping';
import BtnDLoad from './components/btn-dload';
import Export from './components/export';
import config from './config';

export default function App() {
  return (
    <div>
	<h1>React.js</h1>
	<Zipping />
        <BtnDLoad
	    url={`${config.API}csv-fare-zones`}
	    file={'fare-zones.csv'}
	    name={'fare-zones'}
	/>
	<Export
	    name={'Export'}
	/>
	<Home />
    </div>
  )
};
