import React from 'react';
import PropTypes from 'prop-types';
import ToggleButton from 'react-bootstrap/ToggleButton';
export default function TToggleButton({id,type,variant,name,checked,value,onChange,title}) {
    return (
	<>
            <ToggleButton
		id={id}
		type={type}
		variant={variant}
		name={name}
		checked={checked}
		value={value}
		onChange={onChange}
            >
		{title}
            </ToggleButton>
	</>
    );
}
TToggleButton.propTypes = {
    id: PropTypes.string,
    type: PropTypes.string,
    variant: PropTypes.string,
    name: PropTypes.string,
    checked: PropTypes.bool,
    value: PropTypes.string,
    onChange: PropTypes.func,
    title: PropTypes.string
};
